* {
    padding: 0;
    margin: 0;
    text-decoration: none;
    list-style: none;
    font-family: "Poppins", sans-serif;
}

/* Navbar */
.navbar {
    background-color: black;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 2%;
    width: 100%;
    box-sizing: border-box; 
}

.navbar a {
    color: white;
    font-size: 1.3em;
}

.navbar .logo {
    color: white;
    font-size: 2em;
    font-weight: bold;
    margin-left: 3%;
}

.navlink {
    flex-basis: 35%;
}

.navbar .navlink ul {
    display: flex;
    justify-content: space-around;
}

.navbar .navlink ul li {
    justify-content: space-around;
}

.navbar .navlink ul li a:hover {
    color: rgb(246, 67, 67);
}
/* fin navbar */

/* footer*/
footer {
    margin-top: 0%;
    padding: 2%;
    background-color: rgb(0, 0, 0);
    color: white;
    display: grid;
}
#title_joindre{
    grid-column: 1;
    grid-row: 1;
    align-items: center;
    flex-direction: column;
    text-align: center;
    margin-top: 2%;
}

.joindre{
  display: flex;
    grid-column: 1;
    grid-row: 2;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
}
#title_createur{
    margin-top: 2%;
    grid-column: 2;
    grid-row: 1;
    align-items: center;
    flex-direction: column;
    text-align: center;
}
.createur{
    display: flex;
    grid-column: 2;
    grid-row: 2;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
}
#title_suivre{
    grid-column: 3;
    grid-row: 1;
    align-items: center;
    flex-direction: column;
    text-align: center;
    margin-top: 2%;
}
.suivre{
    display: flex;
    grid-column: 3;
    grid-row: 2;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
}
#droit{
    display: flex;
    grid-column: 1;
    grid-row: 3;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
}
#condition{
    display: flex;
    grid-column: 2;
    grid-row: 3;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
}
#vente{
    display: flex;
    grid-column: 3;
    grid-row: 3;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
}

.bot_footer{
    display: flex;
    grid-column: 1/4;
    grid-row: 3;
    align-items: center;
    flex-direction:row;
    justify-content: space-around;
}

/* Fin du footer */

/* Page index.html */
.main {
    height: 100%;
    width: 100%;
    background-image: url(../img/fond.jpg);
    background-size: cover;
    padding: 2rem;
    box-sizing: border-box;
    padding: 0;
}

.selecteur > ul {
    max-width: 80%;
    margin: 0 auto;
    display: grid;
    grid-template-columns: auto auto auto;
    grid-template-rows: auto auto auto;
    gap: 1.5rem;
}

.selecteur > ul > li {
    background: rgba(255, 255, 255, 0.15);
    backdrop-filter: blur(10px);
    border: 0.1em solid gray;
    border-radius: 1em;
    display: flex;
    align-items: center;
    position: relative;
    overflow: hidden;
    padding: 1rem;
    transition: background-color 0.3s ease;
}

.selecteur > ul > li > img {
    width: 9em;
    height: 12em;
    transition: transform 0.3s ease;
    border-radius: 0.5em;
    margin-bottom: 1rem;
}

.selecteur > ul > li > p {
    margin-left: 1rem;
    color: white;
    opacity: 0;
    transform: translateX(-10%);
    transition: opacity 0.3s ease, transform 0.3s ease;
    font-size: 1rem;
}

.selecteur .info {
    position: absolute;
    padding-left: 50%;
    opacity: 1;
    font-size: 1rem;
    text-align: center;
}

.selecteur > ul > li:hover > img {
    transform: translateX(-50%);
}

.selecteur > ul > li:hover > p {
    opacity: 1;
    transform: translateX(0);
}

.selecteur > ul > li:hover .info {
    opacity: 0;
}

.selecteur {
  padding-bottom: 5%;
}

.presentation {
    background: rgba(0, 0, 0, 0.15);
    backdrop-filter: blur(20px);
    color: white;
    border: 0.1em solid gray;
    border-radius: 1em;
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    padding: 5%;
    margin: 5%;
    margin-bottom: 10%;
    font-size: larger;
    gap: 1em;
}
/* Fin page index.html */

/* Page login.html */
.main2 {
    height: 100%;
    background-image: url("https://chateauberne-vin.com/cdn/shop/files/Cave_Vin_1080x.jpg?v=1722853615");
    background-size: cover;
    width: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
    padding-bottom: 10%;
}

.connexion {
    background-color: rgba(0, 0, 0, 0.678);
    backdrop-filter: blur(10px);
    width: 30%;
    margin: 100px auto;
    padding: 30px;
    border: 1px solid black;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: white;
}

#titre_connexion {
    text-align: center;
    margin-bottom: 20px;
}

.bodylogin {
    height: 100%;
    display: flex;               
    flex-direction: column;      
    min-height: 100vh;           
    width: 100%;
    font-family: "Poppins", sans-serif;
    box-sizing: border-box;
    margin: 0;                   
    padding: 0;                  
} 

.buttonlogin {
    background-color: #000000;
    border: white 1px;
    border-style: groove;
    border-radius: 10px;
    padding: 10px;
    width: 50%;
    cursor: pointer;
    color: white;
    font-size: 1em;
    transition: 0.3s;
     overflow: hidden;
}

.buttonlogin:hover {
    background-color: #413535;
}

.formlogin {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 50%;
    gap: 20px;
}

.formlogin > div {
    display: flex;
    flex-direction: column;
    width: 80%;
}


.formlogin > div label {
    text-align: left;
    margin-bottom: 5px;
}


.formlogin > div input {
    width: 100%;
    padding: 10px;
    border-radius: 5px;
    border: 1px solid #0000007e;
    background: rgba(255, 255, 255, 0.767);
    color: rgba(255, 255, 255, 0);
    font-size: 1em;
}
/* Fin page login */

/* Page Panier.html */
html{
    height: 100%;
}

.bodypanier {
    height: 100%;
    width: 100%;
    background-color: #5a1d1d;
    background:url("../img/fond.jpg") center/cover no-repeat;
    background-size: cover;
    font-family: "Poppins", sans-serif;
    box-sizing: border-box;
    padding: 0;
}

.formpanier {
  display: block;
}

.h1panier {
  color: #5a1d1d;
  border-bottom: 2px solid #d4af37;
  font-size: 230%;
}

.grid {
    height: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 10% 1fr; 
    gap: 2%;
    flex: 1;
}

.grid > * {
    display: flex;

}

.grid2 {
  height: 100%;
  display: grid;
  grid-template-columns: auto;
  grid-template-rows: 20%;
  gap: 1%;
  flex: 1;
}

.grid2 > * {
    display: flex;

}

.grid3 {
  height: 100%;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-template-rows: 20%;
  gap: 1%;
  flex: 1;
}

.grid3 > * {
    display: flex;

}

.grid4 {
  height: 100%;
  display: grid;
  grid-template-columns: auto ;
  grid-template-rows: 20% 10% 10% 10% 10% 10% 10% ;
  gap: 2%;
  flex: 1;
  width: 100%;
}

.grid4 > * {
    display: flex;

}

.recup {
  grid-column: 1/3;
  grid-row: 1;
  align-items: center;
  justify-content: center;
  color: black;
}

.pro{
  grid-column: 1/3;
  grid-row: 2;
}

#sch{
  grid-column: 1/4;
  grid-row: 3;
  justify-content: center;
}

#p2{
  grid-column: 1/3;
  grid-row: 4;
}

#ze{
  color: #5a1d1d;
  grid-column: 1/5;
  grid-row: 5; 
  border-bottom: 2px solid #d4af37;
  border-top: 2px solid #d4af37;
  align-items: center;
  justify-content: center;
}
.header{
    grid-column: 1 / 5;
    grid-row: 1;
    border: 1px solid black;
    justify-content: center;
    align-items: center;
    color: white;
    justify-content: space-around;
    background-color: #000000;
    font-family: 'Playfair Display', serif;

}

.b-droit{
  text-align: center;
  display: flex;
  flex-direction: column;
  grid-column: 3 / 4;
  grid-row: 2 / 3;
  font-size: large;
  overflow: auto;
  border-radius: 20px;
  background-color: rgba(255, 255, 255, 0.93);
  backdrop-filter: blur(5px);
  border: 2px solid black;
  font-family: 'Playfair Display', serif;
  margin-bottom: 10%;
  margin-top: 5%;
}

.article{
  border-radius: 20px;
  border: 2px solid black;
  grid-column: 1 / 3;
  grid-row: 2 / 3;
  overflow: auto;
  background-color: rgba(255, 255, 255, 0.93);
  backdrop-filter: blur(5px);
  font-family: 'Playfair Display', serif;
  margin-left: 2%;
  margin-top: 2.5%;
  margin-bottom: 5%;

}

.avis{
  justify-content: center;
  grid-column: 4/ 5 ;
  grid-row: 2; 
  border: 2px solid black; 
  background-color: rgba(255, 255, 255, 0.93);
  backdrop-filter: blur(5px);
  border-radius: 20px;
  overflow: auto;
  font-family: 'Playfair Display', serif;
  margin-right: 2%;
  margin-bottom: 10%;
  margin-top: 5%;
}



#promo {
  padding: 1.6% 3.2%;
  border: 1px solid #c5a880;
  background-color: rgba(240, 248, 255, 0);
  color: black;
  border-radius: 8px;
  display:inline-block;
  width: 25%;
}



#input-recup{
  padding: 1.6% 3.2%;
  border: 1px solid #c5a880;
  background-color: #5a1d1d;
  color: white;
  border-radius: 8px;
  display:inline-block;
  transition: all 0.3s ease;
}

#input-recup:hover {
  background-color: #7d2f2f;
}

#paypal{
  border-radius: 12px;
  border: 2px solid #1e4ee0;
  background-color: #f4f7ff;
  color: #1e4ee0;
  display: block;
  width: 80%;
  font-size: x-large;
  margin-right: auto;
  margin-left: auto;
  transition: all 0.3s ease;
  padding: 1.2%;
  grid-column: 1/3;
  grid-row: 6;
  font-family: 'Playfair Display', serif;
}

#paypal:hover {
  background-color: #1e4ee0;
  color: #fff;
}

#payement{
  border-radius: 12px;
  padding: 1.2%;
  border: 2px solid #5a1d1d;
  background-color: #5a1d1d;
  color: #f2e1c1;
  display: block;
  font-size: x-large;
  margin-right: auto;
  margin-left: auto;
  width: 80%;
  font-family: 'Playfair Display', serif;
  transition: all 0.3s ease;
    grid-column: 1/3;
  grid-row: 7;
}

#payement:hover {
  background-color: #7d2f2f;
  border-color: #7d2f2f;
}

.panier{
  grid-column: 1/5;
  grid-row: 1;
  align-items: center;
  justify-content: center;
  color: black;
}

.titre {
  background-color: rgba(255, 255, 255, 0); 
  grid-column: 1 / 5;
  grid-row: 2;
  display: flex;              
  align-items: center;       
  justify-content: center; 
  border-bottom: #000000 1px solid;
}

.titre > ul {
  display: flex;               
  justify-content: space-between; 
  align-items: center;      
  width: 75%;                  
}

.titre > ul > li {                 
  text-align: center;  
  flex: 1;             
}

.vin1 {

  grid-column: 1 / 5;
  grid-row: 3;
  display: flex;              
  align-items: center;       
  justify-content: center; 
  

}

.vin1 > ul {
  display: flex;               
  justify-content: space-between; 
  align-items: center;         
  width: 75%; 
  border-bottom: 1px solid #ddd;                 
}

.vin1 > ul > li {                 
  text-align: center;  
  flex: 1;             
}

.addition{
  width: 60px;
  text-align: center;
  border: 1px solid #c5a880;
  border-radius: 8px;
  padding: 0.3rem;
  background-color: #fff9f4;
  font-family: inherit;
}

#add{
  width: 30%;
}



.vin2 {


  grid-column: 1 / 5;
  grid-row: 4;
  display: flex;              
  align-items: center;       
  justify-content: center; 

}

.vin2 > ul {
  display: flex;               
  justify-content: space-between; 
  align-items: center;         
  width: 75%;  
  border-bottom: 1px solid #ddd;               
}

.vin2 > ul > li {                 
  text-align: center;  
  flex: 1;             
}

.vin3 {
  
  grid-column: 1 / 5;
  grid-row: 5;
  display: flex;              
  align-items: center;       
  justify-content: center; 

}

.vin3 > ul {
  display: flex;               
  justify-content: space-between; 
  align-items: center;         
  width: 75%; 
  border-bottom: 1px solid #ddd;                 
}

.vin3 > ul > li {                 
  text-align: center;  
  flex: 1;             
}

.vin4 {

  grid-column: 1 / 5;
  grid-row: 6;
  display: flex;              
  align-items: center;       
  justify-content: center; 

}

.vin4 > ul {
  display: flex;               
  justify-content: space-between; 
  align-items: center;
  border-bottom: 1px solid #ddd;         
  width: 75%;                  
}

.vin4 > ul > li {                 
  text-align: center;  
  flex: 1;             
}

.titre-avis {
  background-color: rgba(255, 255, 255, 0);
  grid-column: 1 / 5;
  grid-row: 1;
  display: flex;
  align-items: center;
  justify-content: center;

  color: black;
}

.avis1{ 

  grid-column: 1 / 5;
  grid-row: 2;
  display: flex;
  align-items: center;
  justify-content: center;

}

.avis1 > ul{ 
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 90%;
  list-style: none;
  border-bottom: 1px solid #ddd; 
}

.avis1 > ul > li {
  flex: 1;
  text-align: center;
}

.avis2{

  grid-column: 1 / 5;
  grid-row: 3;
  display: flex;
  align-items: center;
  justify-content: center;

}

.avis2 > ul {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 90%;
  list-style: none;
  border-bottom: 1px solid #ddd; 
}
 
 .avis2 > ul > li{ 
  flex: 1;
  text-align: center;
}


.donne-avis{

  grid-column: 1 / 5;
  grid-row: 5;
  display: flex;
  align-items: center;
  justify-content: center;

}

.donne-avis > ul {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 90%;
  list-style: none;
}
 
 .donne-avis > ul > li{ 
  flex: 1;
  text-align: center;
}

.prenom{
  border: 1px solid #c5a880;
  border-radius: 8px;
  padding: 0.3rem;
  background-color: #fff9f4;
  width: 70%;
}

.avis4{ 

  grid-column: 1 / 5;
  grid-row: 4;
  display: flex;
  align-items: center;
  justify-content: center;
  border-bottom: 1px black solid;
}

.avis4 > ul{ 
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 90%;
  list-style: none;
 
}

.avis4 > ul > li {
  flex: 1;
  text-align: center;
}